#pragma once
#include "Common/SelectState.h"


class MGEvalParamSpace :
	public MGSelectState
{
public:
	explicit MGEvalParamSpace(fugenDoc* pDoc);
	virtual ~MGEvalParamSpace(){};

	virtual MGCommandBase* initial_clone(fugenDoc* pDoc)const;
	virtual bool initiate_tool();
	virtual bool OnSelected(
		fugenView* window,
		MGPickObjects&	objs,
		MGPickObjects&	unselected_objects
		);
};
